Bug 1555243 - Consume updated cockpit-storaged packages
Summary: Consume updated cockpit-storaged packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node-ng
Version: 4.1.9
Hardware: All
OS: Linux
medium
high
Target Milestone: ovirt-4.2.2
: ---
Assignee: Ryan Barry
QA Contact: Wei Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-14 09:22 UTC by Olimp Bockowski
Modified: 2019-05-16 13:06 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-15 17:57:47 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1524 0 None None None 2018-05-15 17:58:58 UTC

Description Olimp Bockowski 2018-03-14 09:22:11 UTC
Description of problem:
The latest RHV-H is affected by following Storaged bug:
https://bugzilla.redhat.com/show_bug.cgi?id=1463843
We should provide the fixed version. 


Version-Release number of selected component (if applicable):
RHV 4.1.9
redhat-release-virtualization-host-4.1-9.1.el7.x86_64 we have: 
storaged-2.5.2-2.el7.x86_64

How reproducible:
It is tricky because this bug is quiesced most of the time. If someone logs into RHV host using cockpit, then goes into "Storage" tab, then Storaged is started and it opens many pipes - here we hit this bug.

Steps to Reproduce:
1. using cockpit log into RHV Host which is part of RHV env and which has access to some Storage Domains.
2. go into "Storage" tab, just enter into it 
3. on hypervisor run for examoke:
for i in {1..100}; do lsof -p 25739 | wc -l 1>> /tmp/files;sleep 5;done

Actual results:
5-second interval, for an idle system (no VMs running), gives us:
350
350
356
356
362
362
368
368
374
374


Expected results:
it doesn't spawn so many file descriptors

Additional info:

Comment 3 Wei Wang 2018-04-02 02:51:39 UTC
Test Version:
redhat-virtualization-host-4.2-20180322.0
udisks2-2.7.3-6.el7.x86_64
cockpit-storaged-160-3.el7.noarch
cockpit-160-3.el7.x86_64

Test Steps:
1. using cockpit log into RHVHost which is part of RHV env and which has access to some Storage Domains.
2. go into "Storage" tab, just enter into it 
3. on hypervisor run for example:
for i in {1..100}; do lsof -p 25739 | wc -l 1>> /tmp/files;sleep 5;done

Result:
There is not spawning so many file descriptors.

The bug is fixed, change the status to VERIFIED.

Comment 5 Wei Wang 2018-04-24 03:28:15 UTC
According to comment 3, Change the status to VERIFIED

Comment 8 errata-xmlrpc 2018-05-15 17:57:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1524

Comment 9 Franta Kust 2019-05-16 13:06:44 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.